// messageType.h
/*************************************************************************
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory, and the Regents of the University of California, as
* Operator of Los Alamos National Laboratory. MPF is distributed
* subject to a Software License Agreement found in file LICENSE that
* is included with this distribution.
*************************************************************************/

#ifndef messageTypeH
#define messageTypeH

//FILE messageType.cc MUST ALSO BE MODIFIED WHEN THIS FILE IS CHANGED

// Note that this implementation forces almost
// all of MPF to rebuild when this file is modified

enum messageType {
    messageTypeConnect,
    messageTypeChar8Array,
    messageTypeInt32,
    messageTypeInt32Array,
    messageTypeFloat64,
    messageTypeFloat64Array,
    messageTypeSerialConfig,
    messageTypeOutOfBand
};

#endif /*messageTypeH*/
